#pragma once
#include "afxwin.h"
#include "afxcmn.h"


// CDialogConfigTab5 對話方塊

class CDialogConfigTab5 : public CDialog
{
	DECLARE_DYNAMIC(CDialogConfigTab5)

public:
	CDialogConfigTab5(CWnd* pParent = NULL);   // 標準建構函式
	virtual ~CDialogConfigTab5();

// 對話方塊資料
	enum { IDD = IDD_DIALOG5 };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV 支援

	DECLARE_MESSAGE_MAP()

	virtual BOOL OnInitDialog();
	afx_msg void OnTimer(UINT_PTR nIDEvent);

public:
	CComboBox m_CComboBox_GSensorRegIndex;
	CEdit m_CEdit_GSensorData;
	CEdit m_CEdit_WriteGSensorData;
	CEdit m_CEdit_DATAX;
	CEdit m_CEdit_DATAY;
	CEdit m_CEdit_DATAZ;
	CListCtrl m_CListCtrl_GSensor;

	void fnSetGsensorData();
	void fnGetGsensorData();
	void fnGetAllGsensorData();
	void fnGetGsensorDataXYZ();

	afx_msg void OnBnClickedButton1();
	afx_msg void OnBnClickedButton2();
	afx_msg void OnBnClickedButton3();

public:
	BOOL m_isDoCommand;
	void DoCommand();
	unsigned int m_nStep;
};
